"""Gets rosters of teams that are playing by going to the team homepage; puts them into a pair of lists--rosters"""

import urllib2
from soccerLib import position_players,gameteams,teamlist,teamnumbers,replace_chars

if __name__ == '__main__':    

#Goes to the appropriate team site and splits strings

    for team in teamlist:
        teamno = teamnumbers[team]
        response = urllib2.urlopen("http://www.euro2008.uefa.com/tournament/teams/team="+str(teamno)+"/index.html")
        rosterhtml = response.read()
        rosterhtmla=rosterhtml.split("<h2>Squad list</h2><ul class=\"playerlist\"><em>")
        rosterhtmlb = rosterhtmla[1]
        rosterhtmlc = rosterhtmlb.split("&raquo;</a></li></ul><div class=\"lastUpdate\">Last updated")
        rosterhtmld = rosterhtmlc[0]
        rosterhtmle = rosterhtmld.split(" id=\"&#xA;&#x9;&#x9;&#x9;&#x9;&#x9;")
    #Divides list up by position; should end up with 4 entries: Goalie, Defender, Midfielder and Forward        
        for item in rosterhtmle:
            if item.count ("&raquo;</a></li></ul><ul class=\"playerlist\">") !=0:
                index = rosterhtmle.index(item)
                itemsplit = item.split("&raquo;</a></li></ul><ul class=\"playerlist\">")
                rosterhtmle[index]=itemsplit[0]
                rosterhtmle.insert(index+1, itemsplit[1])
            else:
                z= 0
        for item in rosterhtmle:
            index = rosterhtmle.index(item)
            item = item.strip("<em>")
            item = item.strip("</em><li")
            item = item.strip("&raquo;</")
            item = item.rstrip()
            item = item.lstrip()
            item = item.split(">")
    #This part gets the names so that they have no additional spaces. This was a problem for some individuals with inconsistently spaced names.
            if len(item)==1:
                item = item
            else:
                item[0] = item[0].strip("PlayerDetail_")
                item[0] = item[0].strip("\"")
                itemreplace = item[1].split("<")
                item[1] = itemreplace[0]
                item[1] = item[1].rstrip()
                item[1] = item[1].lstrip()
                item[2] = item[2].rstrip()
                item[2] = item[2].lstrip()
                item[1] = item[1].replace("  "," ")
                item[2] = item[2].replace("  "," ")
                item[2] = replace_chars(item[2])
            rosterhtmle[index] = item         
    # This part reads the information in the rosterhtmle and turns it into the great list of playernopos
        for item in rosterhtmle:
            index = rosterhtmle.index(item)
            if item.count("Goalkeepers") !=0:
                rosterhtmle[index] = "GC"
            elif item.count("Defenders") !=0:
                rosterhtmle[index] = "DC"
            elif item.count("Midfielders") !=0:
                rosterhtmle[index] = "MC"
            elif item.count("Forwards") !=0:
                rosterhtmle[index] = "FC"
            else:
                rosterhtmle[index]=item
                #print item
        
        playerlist = []       
        for item in rosterhtmle:
            if len(item) <=2:
                position = item
            else:
                playerinfo = item
                playerinfo.append(position)
                #playerinfo[1] = latin1_to_ascii(playerinfo[1])
                playerlist.append(playerinfo)
            
        f=open("roster"+team+".dat","w")
        for player in playerlist:
            for item in player:
                f.write(str(item))
                i = player.index(item)
                if i==len(player)-1 : 
                    f.write('\n')
                else : 
                    f.write(",")
                
        print playerlist
