"""Gets the passings between players of all the games of the tournament"""

import urllib2
from soccerLib import position_players,gameteams,teamlist,teamnumbers,replace_chars

#rangetotal is the set of numbers that needs to get inserted into the web address so that the program can access the proper match information
rangea = range (300682, 300706)
rangeb = range (301696, 301703)
rangetotal = rangea+rangeb

if __name__ == '__main__':    

    players = {}
    for team in teamlist:
        f=open("rosters/roster"+team+".dat")
        lines = f.readlines()
        for line in lines:
            players[line.split(',')[2]] = team
    
    
    for number in rangetotal:
        strnum = str(number)
        teama = gameteams[strnum][0]
        teamb = gameteams[strnum][1]

#GOES TO WEBSITE, pulls off playerdata on passing activity
        print "http://www.euro2008.uefa.com/tournament/matches/match="+strnum+"/statistics/distribution.html"

        response = urllib2.urlopen("http://www.euro2008.uefa.com/tournament/matches/match="+strnum+"/statistics/distribution.html")
        html = response.read()
        
        htmla = html.split('<h3 style="background:none;" class="statsh3">Passes from</h3> </div><div class="iC"><table class="StatsLeft"><tr class="on"><td class="pName">')
        htmlb = htmla[1]
        htmlc = htmlb.split('</table>  </div><div class="iF"> </div> </div><div class="box_f_none"> </div></div>  </div><div class="box4"><div class="box4"><div class="box_h_none"> </div><div class="box_c_none"><div class="iH"><h2>Statistics</h2> </div><div class="iC"><ul class="bulletList"><li class="none"><a href=')
        htmld = htmlc[0]
    
    #    """have to switch some weird website on/off to all on so info can be divided up, tweak a bit here and there"""
        htmle = htmld.replace( '</td></tr><tr class="off">', '</td></tr><tr class="on">' )
        htmlf = htmle.replace( '</td></tr> </table><table class="StatsRight"><tr class="on"><td class="pName">', '</td></tr><tr class="on"><td class="pName">')
        htmlg = htmlf.replace( '</td></tr> </table><table class="StatsRight"><tr class="off"><td class="pName">', '</td></tr><tr class="on"><td class="pName">')
        
    #    """list contains all player-pair data as separate entries"""
        list = htmlg.split('</td></tr><tr class="on"><td class="pName">')

        f=open("passes-"+str(number)+"-"+str(teama)+"-"+teamb+".dat","w")
        for passpair in list:
            """Turns list into individual bits of info"""
            splitpasspair = passpair.split('</td><td class="pTot">')
            passno = splitpasspair[1]
            passno = passno.replace("</td></tr>", "")
            teamandplayers = splitpasspair[0].split(' - ')
            passerno = int(teamandplayers[1])
            passername = teamandplayers[2]
            passername = passername.replace("  ", " ")
            passername = passername.rstrip()
            passername = passername.lstrip()
            passername = replace_chars(passername)
            passeeno = int(teamandplayers [3])
            passeename = teamandplayers [4]
            passeename = passeename.replace("  ", " ")
            passeename = passeename.replace("</td></tr>", "")
            passeename = passeename.rstrip()
            passeename = passeename.lstrip()
            passeename = replace_chars(passeename)

            if players[passername] == players[passeename] :
                f.write(str(players[passername])+","+str(passerno)+","+str(passername)+","+
                        str(players[passeename])+","+str(passeeno)+","+str(passeename)+","+passno+"\n")
        
        f.close()