"""Gets the statistics of all the games of the tournament"""

import urllib2
from soccerLib import position_players,gameteams,teamlist,teamnumbers,replace_chars

#rangetotal is the set of numbers that needs to get inserted into the web address so that the program can access the proper match information
rangea = range (300682, 300706)
rangeb = range (301696, 301703)
rangetotal = rangea+rangeb

if __name__ == '__main__':    
    
    for number in rangetotal:
        strnum = str(number)
        teama = gameteams[strnum][0]
        teamb = gameteams[strnum][1]
    
    #GOES TO WEBSITE, pulls off data on shots, and puts it into two tables, by team
        print "http://en.euro2008.uefa.com/tournament/matches/match="+strnum+"/statistics/index.html"
        
    #replaces some website stuff, letting the slicing go on easier
        response = urllib2.urlopen("http://en.euro2008.uefa.com/tournament/matches/match="+strnum+"/statistics/index.html")
        shotshtml = response.read()
        shotshtml = shotshtml.replace("</td></tr><tr class=\"off\">", "</td></tr><tr class=\"on\">")
        shotshtml = shotshtml.replace("<td class=\"playerName\">", "")
        shotshtml = shotshtml.replace("<td class=\"stat\">", "")
        shotsa = shotshtml.split("</abbr></th></tr><tr class=\"on\"><td class=\"playerNumber\">")
    #The following chunk of code is the first time where the two teams get separated; shots0 is one team's list, and shots1 the other. They'll get sorted later
        shots0 = shotsa [1]
        shots0a = shots0.split("</td></tr></table><h3 id=\"teamAway\">")
        shots0b = shots0a[0]
        shots1 = shotsa [2]
        shots1a= shots1.split("</td></tr></table><div id=\"clubStatistics\"><h2>")
        shots1b = shots1a[0]
        shots0c = shots0b.split("</td></tr><tr class=\"on\"><td class=\"playerNumber\">")
        shots1c = shots1b.split("</td></tr><tr class=\"on\"><td class=\"playerNumber\">")
    #This part of the code divides up information from a big string of one player's info into indivdual stats (goals, shots on post, crossbar, target and wide)
        for item in shots0c:
            index=shots0c.index(item)
            item = item.split("</td>")
            shots0c[index]=item
            shots0c[index][1]=replace_chars(shots0c[index][1])
    
        for player in shots0c:
            playerindex = shots0c.index(player)
            for item in player:
                index=shots0c[playerindex].index(item)
                if item == '':
                    shots0c[playerindex][index] = 0
                else:
                    item = item
    
        for item in shots1c:
            index=shots1c.index(item)
            item = item.split("</td>")
            shots1c[index]=item
            shots1c[index][1]=replace_chars(shots1c[index][1])
            
        for player in shots1c:
            playerindex = shots1c.index(player)
            for item in player:
                index=shots1c[playerindex].index(item)
                if item == '':
                    shots1c[playerindex][index] = 0
                else:
                    item = item

        ## PRINT ALL THE INFORMATION INTO A FILE
        f=open("stats-"+str(number)+"-"+str(teama)+"-"+teamb+".dat","w")
        for player in shots0c:
            i=0
            f.write(str(teama)+',')
            for item in player:
                i = i + 1
                f.write(str(item))
                if i==len(player) : 
                    f.write('\n')
                else : 
                    f.write(",")
    
        for player in shots1c:
            i=0
            f.write(str(teamb)+',')
            for item in player:
                i = i + 1
                f.write(str(item))
                if i==len(player) : 
                    f.write('\n')
                else : 
                    f.write(",")
        f.close()
    
